Bug 109943 - netdump does not work without crashdumps
netdump does not work without crashdumps
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: netdump (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Anderson
: 111061 111261 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2003-11-13 03:52 EST by Florian Brand
Modified: 2007-11-30 17:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-12-19 09:55:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
proposed netdump init script (7.05 KB, text/plain)
2003-12-01 16:26 EST, Dave Anderson
no flags Details

  None (edit)
Description Florian Brand 2003-11-13 03:52:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
Scenario: Usage of net-console without sending crashdumps
SYSLOGADDR is set to the appropriate address.
NETDUMPADDR remains unset.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. service netdump start

Actual Results:  NETDUMPADDR not set 

Expected Results:  Netdump should work without crashdumps, crash
signature is suffcient in most cases

Additional info:

FIX: /etc/init.d/netdump

- [ -z "$NETDUMPADDR"  ] && {
+ [ -z "$NETDUMPADDR -o -z $SYSLOGADDR" ] && {
    echo "Server address not specified in /etc/sysconfig/netdump" 1>&2
    exit 1
Comment 1 Dave Anderson 2003-12-01 09:23:42 EST
*** Bug 111061 has been marked as a duplicate of this bug. ***
Comment 2 Dave Anderson 2003-12-01 10:25:52 EST
*** Bug 111261 has been marked as a duplicate of this bug. ***
Comment 3 Dave Anderson 2003-12-01 16:26:06 EST
Created attachment 96267 [details]
proposed netdump init script
Comment 4 Dave Anderson 2003-12-01 16:54:08 EST
In addition to the netdump/syslog configuration issue
the error-handling in the current netdump init script
is almost non-existant; after a failire is detected,
it just continues instead of stopping.

The proposed version that's attached above handles
all of the "service netdump start" error conditions.  
Comment 5 Dave Anderson 2003-12-02 15:03:13 EST
The fix has been applied to:

  netdump-0.6.11-2 for AS2.1
  netdump-0.6.11-3 for RHEL3

The netdump errata for both AS2.1-U3 and RHEL3-U1 have been
updated to include this fix.  However, since the beta versions
of these errata have already been released, the changes will
not be seen until those errata have been updated. 
Comment 6 John Flanagan 2003-12-19 09:55:53 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.